Subject: bug#17623: 24.4.50; incorrect example for `apply-partially' in (elisp) `Calling Functions'

From: Stefan Kangas <[email-masked]>
Date: Tue, 26 Oct 2021 22:24:38 +0200

Michael Heerdegen <[email-masked]> writes:

> When reading again, I wondered if we should convert that whole manual
> page to use function quoting.  E.g.
>
>   (apply-partially '+ 1) ~> (apply-partially #'+ 1)
>
> The same problem exists for a few other pages.  Should I make a separate
> report about this?

I don't have a strong opinion either way.

I think what could be better documented are the benefits of quoting with
function (or #').  AFAICT, it is not really explained on (info "(elisp)
Anonymous Functions"), it is more hinted at.